﻿namespace data.Exception
{
    // Конструктор исключения GroupNotFoundException.
    // <param name="groupId">ID группы, которая не была найдена.
    public class GroupNotFoundException : RepositoryException
    {
        public GroupNotFoundException(int groupId)
            // Передаем сообщение об ошибке в базовый класс
            : base($"Группа с ID {groupId} не найдена.") { }
    }
}