﻿// Конструктор, создающий исключение с сообщением об отсутствии пользователя.
namespace data.Exception
{
    public class UserNotFoundException : RepositoryException
    {
        // Передача сообщения в базовый класс исключения RepositoryException.
        public UserNotFoundException(Guid userGuid)
            : base($"Пользователь с GUID {userGuid} не найден.") { }
    }
}
