﻿using data.RemoteData.DAO;
using domain.Models;

namespace data.Repository
{
    public interface IUserRepository
    {
        IEnumerable<UserLocalEnity> GetAllUsers { get; }
        bool RemoveUserByGuid(Guid userGuid);
        UserLocalEnity? UpdateUser(UserLocalEnity user);
        List<UserDao> GetUserNames();

        public UserDao GetUserInfo(Guid userGuid);

        bool AddUser(UserDao user);

    }
}
