﻿namespace domain.Models
{
    // Локальная сущность для учета посещаемости.
    public class PresenceLocalEntity
    {
        // Уникальный идентификатор пользователя.
        public Guid UserGuid { get; set; }

        // Идентификатор группы, к которой относится пользователь.
        public int GroupId { get; set; }

        // Номер урока.
        public int LessonNumber { get; set; }

        // Дата посещения.
        public DateTime Date { get; set; }

        // Флаг, указывающий, присутствовал ли пользователь.
        public bool IsAttedance { get; set; }
    }
}