﻿namespace data.RemoteData.DAO
{
    //Представляет DAO для группы.
    public class GroupDao
    {
        // Идентификатор группы.
        public int Id { get; set; }

        // Название группы.
        public  string Name { get; set; } = string.Empty; // Установка значения по умолчанию для предотвращения null.

        // Коллекция пользователей, связанных с этой группой.
        public virtual IEnumerable<UserDao> Users { get; set; }  = new List<UserDao>(); // Установка пустой коллекции по умолчанию.
    }
}
