﻿namespace data.RemoteData.DAO
{
    // Представляет DAO для учета посещаемости.
    public class PresenceDao
    {
        // ID записи посещаемости.
        public int Id { get; set; }

        // ID пользователя.
        public Guid UserGuid { get; set; }

        // Флаг, указывающий, был ли пользователь на уроке (по умолчанию - присутствует).
        public bool IsAttedance { get; set; } = true;

        // Дата урока.
        public DateOnly Date {  get; set; }

        // Номер урока.
        public int LessonNumber { get; set; }

        // Связанный объект пользователя, если необходимо.
        public virtual UserDao? UserDao { get; set; }
    }
}
