﻿namespace data.RemoteData.DAO
{
    // Представляет DAO для пользователя.
    public class UserDao
    {
        // ID пользователя.
        public Guid Guid { get; set; }

        // Полное имя пользователя.
        public  string FIO { get; set; }  = string.Empty;

        // Идентификатор группы, к которой принадлежит пользователь.
        public  int GroupID { get; set; }

        // Связанная группа пользователя.
        public virtual GroupDao Group { get; set; }

        // Список посещаемости пользователя.
        public virtual IEnumerable<PresenceDao> Presences{ get; set; }
    }
}